Authentication

Revoke a token

POST
/v1/auth/revoke

RFC 7009, form-encoded: token, and client_id for an app. Always answers 200, whether or not the token existed. Revoking an app’s token signs that device out.

Request Body

The token to revoke, form-encoded

application/x-www-form-urlencoded
  1. body

The token to revoke, form-encoded

token?string

The access, refresh or personal token

Lengthlength <= 200
token_type_hint?string

access_token or refresh_token; optional

Lengthlength <= 40
client_id?string

Your app’s client ID

Lengthlength <= 200

Response Body

Revoked, or there was nothing to revoke

application/json
  1. response

Revoked, or there was nothing to revoke

curl -X POST 'https://api.sign2approve.com/v1/auth/revoke' \  -H 'Content-Type: application/x-www-form-urlencoded' \  -d ''
{}